### Qt5 libraries
%define major		1
%define libname_qt5	%mklibname %{name}-qt5_ %{major}
%define devname_qt5	%mklibname %{name}-qt5 -d

### Qt6 libraries
%define libname_qt6	%mklibname %{name}-qt6_ %{major}
%define devname_qt6	%mklibname %{name}-qt6 -d

Name:		qtspell
Version:	1.0.2
Release:	%mkrel 1
Summary:	Spell checking for Qt text widgets
Group:		System/Libraries
License:	GPLv3+
URL:		https://github.com/manisandro/qtspell
Source0:	https://github.com/manisandro/qtspell/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(enchant-2)
### Qt5 build dependencies
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5LinguistTools)
BuildRequires:	cmake(Qt5Widgets)
### Qt6 build dependencies
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Widgets)

%description
QtSpell adds spell-checking functionality to Qt's text widgets, using the
enchant spell-checking library.

#----------------------------------------------------------------------------
### Qt5

%package -n	%{libname_qt5}
Summary:	Spell checking for Qt5 text widgets
Group:		System/Libraries
Requires:	%{name}-qt5-translations >= %{version}-%{release}

%description -n	%{libname_qt5}
QtSpell adds spell-checking functionality to Qt5's text widgets, using the
enchant spell-checking library.

%files -n %{libname_qt5}
%license COPYING
%{_libdir}/libqtspell-qt5.so.%{major}{,.*}

#----------------------------------------------------------------------------

%package -n	%{devname_qt5}
Summary:	Development files for %{name}-qt5
Group:		Development/KDE and Qt
Requires:	%{libname_qt5} = %{version}-%{release}
Provides:	%{name}-qt5-devel = %{version}-%{release}

%description -n	%{devname_qt5}
The %{name}-qt5-devel package contains libraries and header files for
developing applications that use %{name}-qt5.

%files -n %{devname_qt5}
%{_includedir}/QtSpell-qt5/
%{_libdir}/libqtspell-qt5.so
%{_libdir}/pkgconfig/QtSpell-qt5.pc

#----------------------------------------------------------------------------

%package	qt5-translations
Summary:	Translations for %{name}-qt5
Group:		System/Internationalization
BuildArch:	noarch
Requires:	qttranslations5

%description	qt5-translations
The %{name}-qt5-translations contains translations for %{name}-qt5.

%files qt5-translations
%{_qt5_translationdir}/QtSpell_*.qm

#----------------------------------------------------------------------------
### Qt6

%package -n	%{libname_qt6}
Summary:	Spell checking for Qt6 text widgets
Group:		System/Libraries
Requires:	%{name}-qt6-translations >= %{version}-%{release}

%description -n	%{libname_qt6}
QtSpell adds spell-checking functionality to Qt6's text widgets, using the
enchant spell-checking library.

%files -n %{libname_qt6}
%license COPYING
%{_libdir}/libqtspell-qt6.so.%{major}{,.*}

#----------------------------------------------------------------------------

%package -n	%{devname_qt6}
Summary:	Development files for %{name}-qt6
Group:		Development/KDE and Qt
Requires:	%{libname_qt6} = %{version}-%{release}
Provides:	%{name}-qt6-devel = %{version}-%{release}

%description -n	%{devname_qt6}
The %{name}-qt6-devel package contains libraries and header files for
developing applications that use %{name}-qt6.

%files -n %{devname_qt6}
%{_includedir}/QtSpell-qt6/
%{_libdir}/libqtspell-qt6.so
%{_libdir}/pkgconfig/QtSpell-qt6.pc

#----------------------------------------------------------------------------

%package	qt6-translations
Summary:	Translations for %{name}-qt6
Group:		System/Internationalization
BuildArch:	noarch
Requires:	qttranslations6

%description	qt6-translations
The %{name}-qt6-translations contains translations for %{name}-qt6.

%files qt6-translations
%{_qt6_translationdir}/QtSpell_*.qm

#----------------------------------------------------------------------------

%package	doc
Summary:	Developer documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description	doc
The %{name}-doc package contains the documentation for developing applications
that use %{name}.

%files doc
%license COPYING
%doc %{_target_platform}-qt6/doc/html

#----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%define _vpath_builddir %{_target_platform}-qt5
%cmake -DQT_VER=5
%cmake_build

%define _vpath_builddir %{_target_platform}-qt6
%cmake -DQT_VER=6
%cmake_build

%__make doc -C %{_target_platform}-qt6

%install
%define _vpath_builddir %{_target_platform}-qt5
%cmake_install

%define _vpath_builddir %{_target_platform}-qt6
%cmake_install


%changelog
* Fri Jul 18 2025 daviddavid <daviddavid> 1.0.2-1.mga10
+ Revision: 2257106
- new version: 1.0.2

* Tue Jul 01 2025 daviddavid <daviddavid> 1.0.1-3.mga10
+ Revision: 2233119
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Wed Jan 04 2023 daviddavid <daviddavid> 1.0.1-2.mga9
+ Revision: 1929800
- enable Qt6 support

* Tue Sep 13 2022 neoclust <neoclust> 1.0.1-1.mga9
+ Revision: 1887540
- New version 	1.0.1

* Sun Apr 03 2022 umeabot <umeabot> 0.9.0-3.mga9
+ Revision: 1842192
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.9.0-2.mga8
+ Revision: 1659708
- Rebuild for new Qt5

* Fri May 08 2020 daviddavid <daviddavid> 0.9.0-1.mga8
+ Revision: 1581714
- initial package qtspell

